Bug 968280 - Too few information for perl cartridge git push output
Too few information for perl cartridge git push output
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 07:19 EDT by Meng Bo
Modified: 2015-05-14 19:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:47:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-05-29 07:19:15 EDT
Description of problem:
It will not show remote commands to the console output during git push changes to perl cartridge.

Version-Release number of selected component (if applicable):
devenv_3283

How reproducible:
always

Steps to Reproduce:
1.Create perl app
2.Modify the git repo and git push the changes
3.There is too few information in the console output

Actual results:
[root@localhost perl1]# touch aa
[root@localhost perl1]# git add . && git commit -am test && git push
[master 5fd370b] test
 1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 aa
Counting objects: 3, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (2/2), 224 bytes, done.
Total 2 (delta 1), reused 0 (delta 0)
To ssh://51a5c5955ec49a08dd00000e@perl1-bmengdev.dev.rhcloud.com/~/git/perl1.git/
   7d88675..5fd370b  master -> master


Expected results:
Should at least have the remote STOP/START cartridge info.
Like:
remote: Stopping <> cart
remote: CLIENT_RESULT: Application is already stopped
remote: Starting <> cart


Additional info:
After add some hooks into the git repo, we can find the build works fine, just missing some outputs.

Total 5 (delta 1), reused 0 (delta 0)
remote: BUILD
remote: POST_START
To ssh://9055a4c0c84e11e280f912313b0a5e97@perl1-y.dev.rhcloud.com/~/git/perl1.git/
   44ceca9..bdf7481  master -> master
Comment 1 Meng Bo 2013-08-13 05:38:00 EDT
Checked on devenv_3641, 

The information is still not much, but at least it can inform user know the app is stopping and starting.

Move bug to verified.

Total 2 (delta 1), reused 0 (delta 0)
remote: Waiting for stop to finish
remote: Starting application perl1
To ssh://859587099436810556669952@perl1-bmengdev.dev.rhcloud.com/~/git/perl1.git/
   b8e2e23..a44dde9  master -> master
Comment 2 openshift-github-bot 2013-08-14 20:58:09 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/a1122dd14bcb4deb68be4a3c54d91adf276489e4
Bug 968280 - Ensure Stopping/Starting messages during git push
Bug 983014 -  Unnecessary messages from mongodb cartridge
Comment 3 openshift-github-bot 2013-08-20 14:15:39 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/70b5e82bb651d232f72a11e8af3d16d681e07a59
Bug 968280 - Ensure Stopping/Starting messages during git push

Note You need to log in before you can comment on or make changes to this bug.